- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions

# FbxSelectionNode Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

FbxSelectionNode is an auxiliary class for Selection Set.

Used to group objects with their components (e.g. vertex, edge, and face), when adding it to a selection set (FbxSelectionSet).

See also:
  FbxSelectionSet

Definition at line 28 of file fbxselectionnode.h.

`#include <fbxselectionnode.h>`

Inheritance diagram for FbxSelectionNode:
[legend]

List of all members.

## Public Types
enum | ESelectType { eVertexLevel, eEdgeLevel, eFaceLevel, eObjectLevel, eSelectTypeCount }
| SelectionNode type identifier. More...
## Public Member Functions
bool | SetSelectionObject (FbxObject *pObject)
| Set an object whose components or itself is contained in the SelectionNode.
FbxObject * | GetSelectionObject () const
| Get the object whose components or itself or both are contained in the SelectionNode.
bool | IsValid () const
| To detect if the SelectionNode is valid.
## Public Attributes
bool | mIsTheNodeInSet
| `true` means the object itself is also in the selection set; `false` means only the object's components are in the selection set, the object is not.
FbxArray< int > | mVertexIndexArray
| Index array for selected vertices.
FbxArray< int > | mEdgeIndexArray
| Index array for selected edges.
FbxArray< int > | mPolygonIndexArray
| Index array for selected faces.
FbxArray< FbxArray< int > * > | mSubTypeSelectArray
## Static Public Attributes
static const char * | SELECT_TYPE_NAMES [(int) eSelectTypeCount]
## Protected Member Functions
| FbxSelectionNode (FbxManager &pManager, char const *pName)
bool | ConnecNotify (FbxConnectEvent const &pEvent)

## Member Enumeration Documentation

enum ESelectType

Search for all occurrences

SelectionNode type identifier.

- eVertexLevel Vertex level selection.
- eEdgeLevel Edge level selection.
- eFaceLevel Face level selection.
- eObjectLevel Object level selection.
- eSelectTypeCount Number of Select Types.

Enumerator:

  eVertexLevel | Search for all occurrences
  eEdgeLevel | Search for all occurrences
  eFaceLevel | Search for all occurrences
  eObjectLevel | Search for all occurrences
  eSelectTypeCount | Search for all occurrences

Definition at line 40 of file fbxselectionnode.h.

        {
            eVertexLevel,
            eEdgeLevel,
            eFaceLevel,
            eObjectLevel,
            eSelectTypeCount
        };

## Constructor & Destructor Documentation

FbxSelectionNode | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

bool SetSelectionObject | ( | FbxObject * | pObject | ) |

Search for all occurrences

Set an object whose components or itself is contained in the SelectionNode.

Parameters:

  pObject | The object whose components or itself is contained in the SelectionNode.

Returns:
  `true` if the object is set successfully. `false` otherwise.

Remarks:
  It is possible a SDK user will try to set multiple objects to one SelectionNode, but only the last one will be kept.

FbxObject* GetSelectionObject | ( |  | ) | const

Search for all occurrences

Get the object whose components or itself or both are contained in the SelectionNode.

Returns:
  The object whose components or itself or both are contained in the SelectionNode.

bool IsValid | ( |  | ) | const

Search for all occurrences

To detect if the SelectionNode is valid.

Returns:
  `true` if this is a valid SelectionNode. `false` otherwise.

Remarks:
  SelectionNode is valid if selection object is set. SelectionNode is not valid if no selection object is set.

bool ConnecNotify | ( | FbxConnectEvent const & | pEvent | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Member Data Documentation

bool mIsTheNodeInSet

Search for all occurrences

`true` means the object itself is also in the selection set; `false` means only the object's components are in the selection set, the object is not.

Definition at line 71 of file fbxselectionnode.h.

FbxArray<int> mVertexIndexArray

Search for all occurrences

Index array for selected vertices.

Definition at line 75 of file fbxselectionnode.h.

FbxArray<int> mEdgeIndexArray

Search for all occurrences

Index array for selected edges.

Definition at line 79 of file fbxselectionnode.h.

FbxArray<int> mPolygonIndexArray

Search for all occurrences

Index array for selected faces.

Definition at line 83 of file fbxselectionnode.h.

FbxArray<FbxArray<int>*> mSubTypeSelectArray

Search for all occurrences

Definition at line 95 of file fbxselectionnode.h.

const char* SELECT_TYPE_NAMES[(int) eSelectTypeCount] `[static]`

Search for all occurrences

Definition at line 96 of file fbxselectionnode.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/fbxselectionnode.h

FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode
FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode FbxSelectionNode